/**
 * 
 * Written by Mrton Mnz and Philip C Biggin
 * Copyright (c) University of Oxford, United Kingdom
 * Visit http://sbcb.bioch.ox.ac.uk/jgromacs/
 * 
 * This source code file is part of JGromacs v1.0.
 * 
 * JGromacs v1.0 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * JGromacs v1.0. is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with JGromacs v1.0. If not, see <http://www.gnu.org/licenses/>.
 * 
 */


import junit.framework.Test;
import junit.framework.TestSuite;

public class AllTests {

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for JGromacs");
		//$JUnit-BEGIN$
		suite.addTestSuite(AnglesTest.class);
		suite.addTestSuite(SuperpositionTest.class);
		suite.addTestSuite(GNMTest.class);
		suite.addTestSuite(DynamicsTest.class);
		suite.addTestSuite(DistancesTest.class);
		suite.addTestSuite(SimilarityTest.class);
		
		suite.addTestSuite(AlignmentTest.class);
		suite.addTestSuite(AngleTest.class);
		suite.addTestSuite(AtomTest.class);
		suite.addTestSuite(FrameIndexSetTest.class);
		suite.addTestSuite(IndexSetListTest.class);
		suite.addTestSuite(IndexSetTest.class);
		suite.addTestSuite(Point3DTest.class);
		suite.addTestSuite(PointListTest.class);
		suite.addTestSuite(ResidueTest.class);
		suite.addTestSuite(SequencePositionTest.class);
		suite.addTestSuite(SequenceTest.class);
		suite.addTestSuite(StructureTest.class);
		suite.addTestSuite(TrajectoryTest.class);
		
		suite.addTestSuite(IODataTest.class);
		suite.addTestSuite(IOMathTest.class);
		
		//$JUnit-END$
		return suite;
	}

}
