/**
 * 
 * Written by Mrton Mnz and Philip C Biggin
 * Copyright (c) University of Oxford, United Kingdom
 * Visit http://sbcb.bioch.ox.ac.uk/jgromacs/
 * 
 * This source code file is part of JGromacs v1.0.
 * 
 * JGromacs v1.0 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * JGromacs v1.0. is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with JGromacs v1.0. If not, see <http://www.gnu.org/licenses/>.
 * 
 */


import jgromacs.data.SequencePosition;
import jgromacs.db.ResidueType;
import junit.framework.TestCase;

import org.junit.Test;


public class SequencePositionTest extends TestCase{

	@Test
	public void testCloneEquals() {
		
		SequencePosition x = new SequencePosition(101,new ResidueType("His"),"annot");
		
		SequencePosition cx = (SequencePosition)x.clone();
		
		assertTrue(x.equals(cx));
		assertTrue(x!=cx);
		
		x.setIndex(202);
		assertTrue(!x.equals(cx));
		
	}
	
}
